package com.jxml.quick.util.qjml4;

import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMImplements extends QGBase implements QGBaseIntf {

    public String text;


    public QMImplements(String text) {
        this.text = text;
    }

    public String toString() {
        return(text);
    }

    public void cvt()
	throws SAXException
    {
	startElement("implements");
	addStringContent(text);
	endElement("implements");
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element implements");
        pw.println(indent + "text = " + text);
    }

}
